Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
ProjectileParams Class Reference

## Public Member Functions
| ProjectileParams (void)

## Public Attributes
boolean | GridCollision
float | HeightModifier
float | FallingSpeedModifier
float | FallingAccelModifier
float | VelocityMulti
float | Scale
float | CircleAngle
| Angle offset used by fire_projectiles PROJECTILES_CIRCLE type emitter. Random by default. More...
float | HomingStrength
| Multiplier on normal homing strength. Unused if SMART bullet flag is not set. More...
float | CurvingStrength
| Use very small values for curving like 0.005. More...
float | Acceleration
float | Spread
| For quad/quint/etc spread shots. More...
KColor | KColor
integer | BulletFlags
Vector | PositionOffset
Vector | TargetPosition
Vector | FireDirectionLimit
float | DotProductLimit
integer | WiggleFrameOffset
| Used to offset the wiggle wave. More...
integer | ChangeFlags
float | ChangeVelocity
| Velocity will resize to this length. More...
integer | ChangeTimeout
| How many frames to wait before changing projectile properties if CHANGE_FLAGS_AFTER_TIMEOUT, CHANGE_VELOCITY_AFTER_TIMEOUT are set. More...
float | DepthOffset
integer | Variant

## Constructor & Destructor Documentation

## ◆ ProjectileParams()

ProjectileParams::ProjectileParams | ( | void |  | ) |

## Member Data Documentation

## ◆ Acceleration

float ProjectileParams::Acceleration

## ◆ BulletFlags

integer ProjectileParams::BulletFlags

## ◆ ChangeFlags

integer ProjectileParams::ChangeFlags

## ◆ ChangeTimeout

integer ProjectileParams::ChangeTimeout

How many frames to wait before changing projectile properties if CHANGE_FLAGS_AFTER_TIMEOUT, CHANGE_VELOCITY_AFTER_TIMEOUT are set.

## ◆ ChangeVelocity

float ProjectileParams::ChangeVelocity

Velocity will resize to this length.

## ◆ CircleAngle

float ProjectileParams::CircleAngle

Angle offset used by fire_projectiles PROJECTILES_CIRCLE type emitter. Random by default.

## ◆ CurvingStrength

float ProjectileParams::CurvingStrength

Use very small values for curving like 0.005.

## ◆ DepthOffset

float ProjectileParams::DepthOffset

## ◆ DotProductLimit

float ProjectileParams::DotProductLimit

Direction bullets are being fired in Dot product of FireDirectionLimit, bullet direction must be >= this value

## ◆ FallingAccelModifier

float ProjectileParams::FallingAccelModifier

## ◆ FallingSpeedModifier

float ProjectileParams::FallingSpeedModifier

## ◆ FireDirectionLimit

Vector ProjectileParams::FireDirectionLimit

## ◆ GridCollision

boolean ProjectileParams::GridCollision

## ◆ HeightModifier

float ProjectileParams::HeightModifier

## ◆ HomingStrength

float ProjectileParams::HomingStrength

Multiplier on normal homing strength. Unused if SMART bullet flag is not set.

## ◆ KColor

KColor ProjectileParams::KColor

## ◆ PositionOffset

Vector ProjectileParams::PositionOffset

## ◆ Scale

float ProjectileParams::Scale

## ◆ Spread

float ProjectileParams::Spread

For quad/quint/etc spread shots.

## ◆ TargetPosition

Vector ProjectileParams::TargetPosition

## ◆ Variant

integer ProjectileParams::Variant

## ◆ VelocityMulti

float ProjectileParams::VelocityMulti

## ◆ WiggleFrameOffset

integer ProjectileParams::WiggleFrameOffset

Used to offset the wiggle wave.